---
--- Generated manually.
--- Created by liaogaocan.
--- DateTime: 2020-8-3 16:32:25
---

local LBaseLocalPlayer = ImportScript("ugc_common/script/core/actor/local_player.lua").LBaseLocalPlayer;
local LSkeletalMeshActor = ImportScript("ugc_common/script/pc/actor/skeletal_mesh_actor_impl.lua").LSkeletalMeshActor;

---@class LLocalPlayer
LLocalPlayer = LLocalPlayer or class("LLocalPlayer", LBaseLocalPlayer, LSkeletalMeshActor);

function LLocalPlayer:ctor(kActor)
    self.m_kLocalPlayer = tolua.cast(kActor, "Core::ALocalPlayer")
    LOG_I("LLocalPlayer:ctor", self, kActor, self.m_name, self.m_kLocalPlayer)
end

function LLocalPlayer:dtor()
    print("LLocalPlayer:dtor()");
    self.m_kLocalPlayer = nil;
end

function LLocalPlayer:SetMoveSpeedScale(fScale)
    if nil ~= self.m_kLocalPlayer then
        self.m_kLocalPlayer:SetMoveSpeedScale(fScale);
        return true;
    end
    return false;
end

function LLocalPlayer:GetMoveSpeedScale()
    if nil ~= self.m_kLocalPlayer then
        return self.m_kLocalPlayer:GetMoveSpeedScale();
    end
    return 1.0;
end
